/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * ----------------------------------------
 */
package fr.tlse.irap.map;

import java.io.Serializable;

import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlRootElement;
import jakarta.xml.bind.annotation.adapters.XmlJavaTypeAdapter;


@XmlRootElement
public class JMap implements Serializable{

	/**
	 * serialVersion of JMap Class
	 */
	private static final long serialVersionUID = 1L;

	private JMapHeader jMapHeader;

	@XmlElement
	public JMapHeader getHeader() {
		return jMapHeader;
	}

	@XmlJavaTypeAdapter(FitsAdapter.class)
	@XmlElement
	public byte[] dataCompressed;

	public JMap() {
		super();
	}

	public JMap(JMapHeader jMapHdr) {
		super();
		jMapHeader = jMapHdr;
	}

	public boolean hasHeader(){
		return (jMapHeader == null);
	}

	public void setHeader(JMapHeader jMapHdr) {
		jMapHeader = jMapHdr;
	}

}
